
*This Stata do-file contains replication materials for Castle et al. 2020
*Stata/SE 14.2 was used for all analyses
*Note: We have deleted respondent's personal information and any unused variables for the sake of parsimony. 
*Please contact jeremycastle15@gmail.com with questions.

***************************************************************************************
***************************************************************************************
*************************STEP 1: RECODES***********************************************
***************************************************************************************
***************************************************************************************	
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ SSI 2018 dataset.dta"

recode Q38_1 (3=0) (8=0) (2=1) (1=1), gen(me2awareness01)
recode Q38_2 (3=0) (8=0) (2=1) (1=1), gen(me2concern01)

recode Q39_1  (1=0) (2=1) (3=2) (4=3) (5=4), gen(me2papers)
recode Q39_2  (1=0) (2=1) (3=2) (4=3) (5=4), gen(me2joinorg)
recode Q39_3  (1=0) (2=1) (3=2) (4=3) (5=4), gen(me2donatepid)
recode Q39_4  (1=0) (2=1) (3=2) (4=3) (5=4), gen(me2donateorg)
recode Q39_5  (1=0) (2=1) (3=2) (4=3) (5=4), gen(me2party)
recode Q39_6  (1=0) (2=1) (3=2) (4=3) (5=4), gen(me2localvote)
recode Q39_7  (1=0) (2=1) (3=2) (4=3) (5=4), gen(me2natvote)
recode Q39_8  (1=0) (2=1) (3=2) (4=3) (5=4), gen(me2protest)
recode Q39_9  (1=0) (2=1) (3=2) (4=3) (5=4), gen(me2localrun)
recode Q39_10 (1=0) (2=1) (3=2) (4=3) (5=4), gen(me2natrun)

recode Q66 (1=0) (2=1) (3=.) (4=.) (5=.) (6=.) (7=.), gen(female201)
gen followpol01 = (Q63 - 1)/2
gen discusspol01 = (Q64 - 1)/4
egen polinterest01 = rowmean(followpol01 discusspol01)
recode Q78 (1=0) (2=0) (3=0) (4=1) (5=2) (6=2) (7=2), gen(ideo3) 
recode Q79 (1=0) (2=0) (3=0) (4=1) (5=2) (6=2) (7=2), gen(pid3)
recode Q42_1 (5=1) (6=0), gen(workjokes)
recode Q42_2 (5=1) (6=0), gen(workpromo)
recode Q42_3 (5=1) (6=0), gen(worksex)
recode Q42_4 (5=1) (6=0), gen(workphysical)
recode Q42_5 (5=1) (6=0), gen(workexpose)
recode Q42_6 (5=1) (6=0), gen(workforce)
gen workscale = workjokes + workpromo + worksex + workphysical + workexpose + workforce
gen workscale01 = workscale/6

gen ideology= (Q78 -1)
gen ideo01 = (ideology/6)
gen party= (Q79 - 1)
gen party01= (party/6)
gen income= (Q71-1)
gen income01= (income/7)
recode Q72 (1=0) (2=1) (3=0) (4=0) (5=0) (6=0) (7=0), gen(hispanic01)
recode Q72 (1=0) (2=0) (3=1) (4=0) (5=0) (6=0) (7=0), gen(black01)
recode Q72 (1=0) (2=0) (3=0) (4=1) (5=1) (6=1) (7=1), gen(raceother01)

recode Q39_1  (1=0) (2=0) (3=1) (4=2) (5=2), gen(me2papers02)
recode Q39_2  (1=0) (2=0) (3=1) (4=2) (5=2), gen(me2joinorg02)
recode Q39_3  (1=0) (2=0) (3=1) (4=2) (5=2), gen(me2donatepid02)
recode Q39_4  (1=0) (2=0) (3=1) (4=2) (5=2), gen(me2donateorg02)
recode Q39_5  (1=0) (2=0) (3=1) (4=2) (5=2), gen(me2party02)
recode Q39_6  (1=0) (2=0) (3=1) (4=2) (5=2), gen(me2localvote02)
recode Q39_7  (1=0) (2=0) (3=1) (4=2) (5=2), gen(me2natvote02)
recode Q39_8  (1=0) (2=0) (3=1) (4=2) (5=2), gen(me2protest02)
recode Q39_9  (1=0) (2=0) (3=1) (4=2) (5=2), gen(me2localrun02)
recode Q39_10 (1=0) (2=0) (3=1) (4=2) (5=2), gen(me2natrun02)

recode Q66 (1=0) (2=1) (3=.) (4=.) (5=.) (6=.) (7=.), gen(sexweight)
recode Q72 (1=0) (2=2) (3=1) (4=3) (5=4) (6=4) (7=4), gen(raceweight)
recode Q79 (1=0) (2=0) (3=1) (4=1) (5=1) (6=2) (7=2), gen(pidweight)
recode Q78 (1=0) (2=0) (3=1) (4=1) (5=1) (6=2) (7=2), gen(ideoweight)


***************************************************************************************
***************************************************************************************
***********************STEP 2: GENERATING WEIGHTS**************************************
***************************************************************************************
***************************************************************************************	

ipfweight sexweight raceweight Q75 pidweight ideoweight, gen(weight) val(48 52 63 12 16 6 3 29 71 32 46 22 28 39 33) maxit(100)


***************************************************************************************
***************************************************************************************
***********************STEP 3: ANALYSIS************************************************
***************************************************************************************
***************************************************************************************	

*Here, we break the analysis down by table

*New Table 1
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ SSI 2018 dataset.dta"
svyset [pweight= weight]
svy: tab me2awareness01
svy: tab female201 me2awareness01, row 
svy: tab pid3 me2awareness01, row 
svy: tab ideo3 me2awareness01, row 
svy: tab workscale01 me2awareness01, row 

svy: tab me2concern01
svy: tab female201 me2concern01, row 
svy: tab pid3 me2concern01, row 
svy: tab ideo3 me2concern01, row 
svy: tab workscale01 me2concern01, row

*New Table 2
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ SSI 2018 dataset.dta"
svyset [pweight= weight]
*This code generates the coefficients shown in Table 2
eststo: quietly logit me2awareness01 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01  [pweight= weight]
eststo: quietly logit me2concern01 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01  [pweight= weight]
esttab , replace b(%10.3f) r2 ar2 pr2 se nogaps noomitted

*This code generates the probabilities shown in Table 2
logit me2awareness01 party01 income01 female201 partyXfemale  hispanic01 black01 raceother01 workscale01 polinterest01  [pweight= weight]
prchange
logit me2concern01 party01 income01 female201 partyXfemale  hispanic01 black01 raceother01 workscale01 polinterest01  [pweight= weight]
prchange

*Tables 3 and 4: Regressions 
*Note: Tables 3 and 4 are separated due to space concerns, but here we present them together 
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ SSI 2018 dataset.dta"
svyset [pweight= weight]
eststo: quietly mlogit me2papers02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2joinorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2donatepid02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2donateorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2party02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
esttab , replace b(%10.3f) r2 ar2 pr2 se nogaps unstack nobaselevels noomitted

eststo: quietly mlogit me2localvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2natvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2protest02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2localrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2natrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
esttab , replace b(%10.3f) r2 ar2 pr2 se nogaps unstack nobaselevels noomitted

*In order to create the figures, we built a series of mini datasets.
*Probabilities were copies and pasted from the following, and rearranged in Excel then copied and pasted back into Stata

*Party figures (these commands generate the Figure 1 dataset)
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ SSI 2018 dataset.dta"
svyset [pweight= weight]

quietly mlogit me2protest02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0) at(party01==1) predict(outcome(2)) level(85)
margins, at(party01==0) at(party01==1) predict(outcome(0)) level(85)
quietly mlogit me2papers02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0) at(party01==1) predict(outcome(2)) level(85)
margins, at(party01==0) at(party01==1) predict(outcome(0)) level(85)
quietly mlogit me2donateorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0) at(party01==1) predict(outcome(2)) level(85)
margins, at(party01==0) at(party01==1) predict(outcome(0)) level(85)
quietly mlogit me2donatepid02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0) at(party01==1) predict(outcome(2)) level(85)
margins, at(party01==0) at(party01==1) predict(outcome(0)) level(85)
quietly mlogit me2joinorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0) at(party01==1) predict(outcome(2)) level(85)
margins, at(party01==0) at(party01==1) predict(outcome(0)) level(85)
quietly mlogit me2party02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0) at(party01==1) predict(outcome(2)) level(85)
margins, at(party01==0) at(party01==1) predict(outcome(0)) level(85)
quietly mlogit me2localvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0) at(party01==1) predict(outcome(2)) level(85)
margins, at(party01==0) at(party01==1) predict(outcome(0)) level(85)
quietly mlogit me2natvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0) at(party01==1) predict(outcome(2)) level(85)
margins, at(party01==0) at(party01==1) predict(outcome(0)) level(85)
quietly mlogit me2localrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0) at(party01==1) predict(outcome(2)) level(85)
margins, at(party01==0) at(party01==1) predict(outcome(0)) level(85)
quietly mlogit me2natrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0) at(party01==1) predict(outcome(2)) level(85)
margins, at(party01==0) at(party01==1) predict(outcome(0)) level(85)

*Gender figures (these commands generate the Figure 2 dataset)
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ SSI 2018 dataset.dta"
svyset [pweight= weight]

quietly mlogit me2protest02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(female201==(0(1)1))  predict(outcome(2)) level(85)
margins, at(female201==(0(1)1))  predict(outcome(0)) level(85)
quietly mlogit me2papers02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(female201==(0(1)1))  predict(outcome(2)) level(85)
margins, at(female201==(0(1)1))  predict(outcome(0)) level(85)
quietly mlogit me2donateorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(female201==(0(1)1))  predict(outcome(2)) level(85)
margins, at(female201==(0(1)1))  predict(outcome(0)) level(85)
quietly mlogit me2donatepid02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(female201==(0(1)1))  predict(outcome(2)) level(85)
margins, at(female201==(0(1)1))  predict(outcome(0)) level(85)
quietly mlogit me2joinorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(female201==(0(1)1))  predict(outcome(2)) level(85)
margins, at(female201==(0(1)1))  predict(outcome(0)) level(85)
quietly mlogit me2party02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(female201==(0(1)1))  predict(outcome(2)) level(85)
margins, at(female201==(0(1)1))  predict(outcome(0)) level(85)
quietly mlogit me2localvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(female201==(0(1)1))  predict(outcome(2)) level(85)
margins, at(female201==(0(1)1))  predict(outcome(0)) level(85)
quietly mlogit me2natvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(female201==(0(1)1))  predict(outcome(2)) level(85)
margins, at(female201==(0(1)1))  predict(outcome(0)) level(85)
quietly mlogit me2localrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(female201==(0(1)1))  predict(outcome(2)) level(85)
margins, at(female201==(0(1)1))  predict(outcome(0)) level(85)
quietly mlogit me2natrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(female201==(0(1)1))  predict(outcome(2)) level(85)
margins, at(female201==(0(1)1))  predict(outcome(0)) level(85)

*Party & gender figures (these commands generate the Figure 3 dataset)
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ SSI 2018 dataset.dta"
svyset [pweight= weight]

quietly mlogit me2protest02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(2)) level(85)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(0)) level(85)
quietly mlogit me2papers02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(2)) level(85)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(0)) level(85)
quietly mlogit me2donateorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(2)) level(85)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(0)) level(85)
quietly mlogit me2donatepid02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(2)) level(85)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(0)) level(85)
quietly mlogit me2joinorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(2)) level(85)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(0)) level(85)
quietly mlogit me2party02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(2)) level(85)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(0)) level(85)
quietly mlogit me2localvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(2)) level(85)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(0)) level(85)
quietly mlogit me2natvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(2)) level(85)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(0)) level(85)
quietly mlogit me2localrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(2)) level(85)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(0)) level(85)
quietly mlogit me2natrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(2)) level(85)
margins, at(party01==0 female201==0) at(party01==0 female201==1) at(party01==1 female201==0) at(party01==1 female201==1) predict(outcome(0)) level(85)

*Harrassment figures (these commands generate the Figure 4 dataset)
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ SSI 2018 dataset.dta"
svyset [pweight= weight]

quietly mlogit me2protest02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(workscale01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(workscale01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2papers02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(workscale01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(workscale01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2donateorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(workscale01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(workscale01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2donatepid02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(workscale01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(workscale01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2joinorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(workscale01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(workscale01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2party02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(workscale01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(workscale01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2localvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(workscale01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(workscale01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2natvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(workscale01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(workscale01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2localrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(workscale01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(workscale01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2natrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(workscale01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(workscale01==(0(1)1)) predict(outcome(0)) level(85)

*Race/Ethnicity figures (these commands generate the Figure 5 dataset)
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ SSI 2018 dataset.dta"
svyset [pweight= weight]

quietly mlogit me2protest02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(2)) level(85)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(0)) level(85)
quietly mlogit me2papers02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(2)) level(85)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(0)) level(85)
quietly mlogit me2donateorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(2)) level(85)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(0)) level(85)
quietly mlogit me2donatepid02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(2)) level(85)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(0)) level(85)
quietly mlogit me2joinorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(2)) level(85)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(0)) level(85)
quietly mlogit me2party02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(2)) level(85)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(0)) level(85)
quietly mlogit me2localvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(2)) level(85)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(0)) level(85)
quietly mlogit me2natvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(2)) level(85)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(0)) level(85)
quietly mlogit me2localrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(2)) level(85)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(0)) level(85)
quietly mlogit me2natrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(2)) level(85)
margins, at(hispanic01==0 black01==0 raceother01==0) at(hispanic01==1 black01==0 raceother01==0) at(hispanic01==0 black01==1 raceother01==0) at(hispanic01==0 black01==0 raceother01==1) predict(outcome(0)) level(85)

*Political interest figures (these commands generate the Figure 6 dataset)
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ SSI 2018 dataset.dta"
svyset [pweight= weight]

quietly mlogit me2protest02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(polinterest01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(polinterest01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2papers02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(polinterest01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(polinterest01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2donateorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(polinterest01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(polinterest01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2donatepid02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(polinterest01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(polinterest01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2joinorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(polinterest01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(polinterest01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2party02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(polinterest01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(polinterest01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2localvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(polinterest01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(polinterest01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2natvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(polinterest01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(polinterest01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2localrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(polinterest01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(polinterest01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2natrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(polinterest01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(polinterest01==(0(1)1)) predict(outcome(0)) level(85)

*Figure 1: Party
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ Fig1 dataset.dta"
label define partlab  1 "Run national" 2 "Run local" 3	"National vote" 4 "Local vote" 5 "Join party" 6 "Join organization" 7 "Donate to party" 8 "Donate to organization" 9 "Read papers" 10 "Protest" 
label values partno partlab
twoway (dot modem morep partno, horizontal) (rcap modem_lo modem_hi partno, horizontal) (rcap morep_lo morep_hi partno, horizontal), scheme(s1mono) title("Effect of Party on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of Mobilizing Effect) legend(order(1 "Strong Democrat" 2 "Strong Republican"))
twoway (dot dedem derep partno, horizontal) (rcap dedem_lo dedem_hi partno, horizontal) (rcap derep_lo derep_hi partno, horizontal), scheme(s1mono) title("Effect of Party on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of De-mobilizing Effect) legend(order(1 "Strong Democrat" 2 "Strong Republican"))

*Figure 2: Gender
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ Fig2 dataset.dta"
label define partlab  1 "Run national" 2 "Run local" 3	"National vote" 4 "Local vote" 5 "Join party" 6 "Join organization" 7 "Donate to party" 8 "Donate to organization" 9 "Read papers" 10 "Protest" 
label values partno partlab
twoway (dot moman mowoman partno, horizontal) (rcap moman_lo moman_hi partno, horizontal) (rcap mowoman_lo mowoman_hi partno, horizontal), scheme(s1mono) title("Effect of Sex on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of Mobilizing Effect) legend(order(1 "Men" 2 "Women"))
twoway (dot deman dewoman partno, horizontal) (rcap deman_lo deman_hi partno, horizontal) (rcap dewoman_lo dewoman_hi partno, horizontal), scheme(s1mono) title("Effect of Sex on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of De-mobilizing Effect) legend(order(1 "Men" 2 "Women"))

*Figure 3: Party X Gender
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ Fig3 dataset.dta"
label define partlab  1 "Run national" 2 "Run local" 3	"National vote" 4 "Local vote" 5 "Join party" 6 "Join organization" 7 "Donate to party" 8 "Donate to organization" 9 "Read papers" 10 "Protest" 
label values partno partlab
twoway (dot mo_maledem mo_malerep mo_femdem mo_femrep partno, horizontal) , scheme(s1mono) title("Effect of Party and Gender on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of Mobilizing Effect) legend(order(1 "Male Democrat" 2 "Male Republican" 3 "Female Democrat" 4 "Female Republican"))
twoway (dot de_maledem de_malerep de_femdem de_femrep partno, horizontal) , scheme(s1mono) title("Effect of Party and Gender on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of De-mobilizing Effect) legend(order(1 "Male Democrat" 2 "Male Republican" 3 "Female Democrat" 4 "Female Republican"))

*Figure 4: Harrassment
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ Fig4 dataset.dta"
label define partlab  1 "Run national" 2 "Run local" 3	"National vote" 4 "Local vote" 5 "Join party" 6 "Join organization" 7 "Donate to party" 8 "Donate to organization" 9 "Read papers" 10 "Protest" 
label values partno partlab
twoway (dot mowork0 mowork1 partno, horizontal) (rcap mowork0_lo mowork0_hi partno, horizontal) (rcap mowork1_lo mowork1_hi partno, horizontal), scheme(s1mono) title("Effect of Harassment Experience on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of Mobilizing Effect) legend(order(1 "Never Experienced Harassment" 2 "Max. Experienced Harassment"))
twoway (dot dework0 dework1 partno, horizontal) (rcap dework0_lo dework0_hi partno, horizontal) (rcap dework1_lo dework1_hi partno, horizontal), scheme(s1mono) title("Effect of Harassment Experience on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of De-mobilizing Effect) legend(order(1 "Never Experienced Harassment" 2 "Max. Experienced Harassment"))

*Figure 5: Race and Ethnicity
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ Fig5 dataset.dta"
label define partlab  1 "Run national" 2 "Run local" 3	"National vote" 4 "Local vote" 5 "Join party" 6 "Join organization" 7 "Donate to party" 8 "Donate to organization" 9 "Read papers" 10 "Protest" 
label values partno partlab
twoway (dot mo_white mo_hisp mo_black mo_other partno, horizontal) , scheme(s1mono) title("Effect of Race & Ethnicity on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of Mobilizing Effect) legend(order(1 "White (Non-Hispanic)" 2 "Hispanic" 3 "African-American" 4 "Other Race"))
twoway (dot de_white de_hisp de_black de_other partno, horizontal) , scheme(s1mono) title("Effect of Race & Ethnicity on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of De-mobilizing Effect) legend(order(1 "White (Non-Hispanic)" 2 "Hispanic" 3 "African-American" 4 "Other Race"))

*Figure 6: Interest
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ Fig6 dataset.dta"
label define partlab  1 "Run national" 2 "Run local" 3	"National vote" 4 "Local vote" 5 "Join party" 6 "Join organization" 7 "Donate to party" 8 "Donate to organization" 9 "Read papers" 10 "Protest" 
label values partno partlab
twoway (dot molowknow mohiknow partno, horizontal) (rcap molowknow_lo molowknow_hi partno, horizontal) (rcap mohiknow_lo mohiknow_hi partno, horizontal), scheme(s1mono) title("Effect of Political Interest on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of Mobilizing Effect) legend(order(1 "Minimum Political Interest" 2 "Maximum Political Interest"))
twoway (dot delowknow dehiknow partno, horizontal) (rcap delowknow_lo delowknow_hi partno, horizontal) (rcap dehiknow_lo dehiknow_hi partno, horizontal), scheme(s1mono) title("Effect of Political Interest on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of De-mobilizing Effect) legend(order(1 "Minimum Political Interest" 2 "Maximum Political Interest"))


***************************************************************************************
***************************************************************************************
***********************STEP 4: MINOR ANALYSES IN FOOTNOTES*****************************
***************************************************************************************
***************************************************************************************	

*Footnote 3
factor workjokes workpromo worksex workphysical workexpose workforce, pcf
alpha workjokes workpromo worksex workphysical workexpose workforce, std

*Footnote 4
ologit me2awareness c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01  [pweight= weight]
ologit me2concern c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01  [pweight= weight]
quietly ologit me2awareness c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 
brant
quietly ologit me2concern c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 
brant

*Footnote 6
factor followpol01 discusspol01, pcf
alpha followpol01 discusspol01, std

*Footnote 8
quietly ologit me2papers c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 
brant
quietly ologit me2joinorg c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 
brant
quietly ologit me2donatepid c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01
brant
quietly ologit me2donateorg c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01
brant
quietly ologit me2party c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 
brant
quietly ologit me2localvote c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 
brant
quietly ologit me2natvote c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 
brant
quietly ologit me2protest c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 
brant
quietly ologit me2localrun c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 
brant
quietly ologit me2natrun c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 
brant


***************************************************************************************
***************************************************************************************
***********************STEP 5: ANALYSES IN APPENDIX************************************
***************************************************************************************
***************************************************************************************	

*Table B1: 
tab party01
tab ideo01
tab female201
tab raceweight
tab reltrad6
tab income01
tab followpol01
tab discusspol01

svy: tab party01
svy: tab ideo01
svy: tab female201
svy: tab raceweight
svy: tab reltrad6
svy: tab income01
svy: tab followpol01
svy: tab discusspol01

*Table C1: Descriptives for the ambition items 
svy: tab me2localvote
svy: tab me2natvote
svy: tab me2localrun 
svy: tab me2natrun
svy: tab me2joinorg 
svy: tab me2party 
svy: tab me2donatepid 
svy: tab me2donateorg 
svy: tab me2papers 
svy: tab me2protest 

*Table D1
svy: tab me2localvote
svy: tab female201 me2localvote, row 
svy: tab pid3 me2localvote, row 
svy: tab ideo3 me2localvote, row 
svy: tab workscale01 me2localvote, row 

*Table D2
svy: tab me2natvote
svy: tab female201 me2natvote, row 
svy: tab pid3 me2natvote, row 
svy: tab ideo3 me2natvote, row 
svy: tab workscale01 me2natvote, row 

*Table D3
svy: tab me2localrun
svy: tab female201 me2localrun, row 
svy: tab pid3 me2localrun, row 
svy: tab ideo3 me2localrun, row 
svy: tab workscale01 me2localrun, row 

*Table D4
svy: tab me2natrun
svy: tab female201 me2natrun, row 
svy: tab pid3 me2natrun, row 
svy: tab ideo3 me2natrun, row 
svy: tab workscale01 me2natrun, row

*D5
svy: tab me2joinorg
svy: tab female201 me2joinorg, row 
svy: tab pid3 me2joinorg, row 
svy: tab ideo3 me2joinorg, row 
svy: tab workscale01 me2joinorg, row 

*D6
svy: tab me2party
svy: tab female201 me2party, row 
svy: tab pid3 me2party, row 
svy: tab ideo3 me2party, row 
svy: tab workscale01 me2party, row

*D7
svy: tab me2donatepid
svy: tab female201 me2donatepid, row 
svy: tab pid3 me2donatepid, row 
svy: tab ideo3 me2donatepid, row 
svy: tab workscale01 me2donatepid, row 

*D8
svy: tab me2donateorg
svy: tab female201 me2donateorg, row 
svy: tab pid3 me2donateorg, row 
svy: tab ideo3 me2donateorg, row 
svy: tab workscale01 me2donateorg, row

*D9
svy: tab me2papers
svy: tab female201 me2papers, row 
svy: tab pid3 me2papers, row 
svy: tab ideo3 me2papers, row 
svy: tab workscale01 me2papers, row 

*D10
svy: tab me2protest
svy: tab female201 me2protest, row 
svy: tab pid3 me2protest, row 
svy: tab ideo3 me2protest, row 
svy: tab workscale01 me2protest, row

*Appendix E
cor workscale female201

*Table E1
svy: tab workscale female201, col

*Appendix F: Code for Generating Income Mini-Dataset
quietly mlogit me2protest02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(income01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(income01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2papers02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(income01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(income01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2donateorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(income01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(income01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2donatepid02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(income01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(income01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2joinorg02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(income01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(income01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2party02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(income01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(income01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2localvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(income01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(income01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2natvote02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(income01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(income01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2localrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(income01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(income01==(0(1)1)) predict(outcome(0)) level(85)
quietly mlogit me2natrun02 c.party01 income01 i.female201 c.party01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
margins, at(income01==(0(1)1)) predict(outcome(2)) level(85)
margins, at(income01==(0(1)1)) predict(outcome(0)) level(85)

*Figure F1
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al PRQ Appendix F dataset.dta"
label define partlab 1	"Local vote" 2	"National vote" 3 "Run local" 4 "Run national" 5 "Join organization" 6 "Join party" 7 "Donate to party" 8 "Donate to organization" 9 "Read papers" 10 "Protest" 
label values partno partlab
twoway (dot mopoor morich partno, horizontal) (rcap mopoor_lo mopoor_hi partno, horizontal) (rcap morich_lo morich_hi partno, horizontal), scheme(s1mono) title("Effect of Income on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of Mobilizing Effect) legend(order(1 "$0 to $25k" 2 "Over $250k"))
twoway (dot depoor derich partno, horizontal) (rcap depoor_lo depoor_hi partno, horizontal) (rcap derich_lo derich_hi partno, horizontal), scheme(s1mono) title("Effect of Income on Participation") ylabel(, valuelabels) xlabel(0(.1)1) xtitle(Probability of Demobilizing Effect) legend(order(1 "$0 to $25k" 2 "Over $250k"))

*Table G1: Ideology
eststo: quietly mlogit me2papers02 c.ideo01 income01 i.female201 c.ideo01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2joinorg02 c.ideo01 income01 i.female201 c.ideo01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2donatepid02 c.ideo01 income01 i.female201 c.ideo01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2donateorg02 c.ideo01 income01 i.female201 c.ideo01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2party02 c.ideo01 income01 i.female201 c.ideo01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
esttab , replace b(%10.3f) r2 ar2 pr2 se nogaps unstack nobaselevels noomitted

*Table G2: Ideology, Continued
eststo: quietly mlogit me2localvote02 c.ideo01 income01 i.female201 c.ideo01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2natvote02 c.ideo01 income01 i.female201 c.ideo01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2protest02 c.ideo01 income01 i.female201 c.ideo01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2localrun02 c.ideo01 income01 i.female201 c.ideo01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
eststo: quietly mlogit me2natrun02 c.ideo01 income01 i.female201 c.ideo01#i.female201  hispanic01 black01 raceother01 workscale01 polinterest01 [pweight= weight], baseoutcome(1)
esttab , replace b(%10.3f) r2 ar2 pr2 se nogaps unstack nobaselevels noomitted

*Appendix H
*The confidence intervals presented here are taken from the mini-datasets, and therefore we do not reproduce them separately here.

*Appendix I
*The confidence intervals presented here are taken from the mini-datasets, and therefore we do not reproduce them separately here.

*Appendix J: ANES 2018 Pilot Study
use "/Users/jeremycastle/Desktop/Castle et al 2020 PRQ Final Submission/Replication Materials/Castle et al ANES Appendix J dataset.dta"

*Step 1: We need to do some re-codes
recode ftmetoo (-7=.) (997=.), gen(me2therm)
recode meet (2=0), gen(meet01)
recode givefut (2=0), gen(givefut01)
recode march1 (2=0) (9=.), gen(march101)
recode march2 (2=0) (0=.), gen(march201)
recode online (2=0), gen(online01)
recode persuade (2=0), gen(persuade01)
recode sign (2=0), gen(sign01)
recode give (2=0), gen(give01)
recode work (2=0), gen(work01)
recode pid7x (-7=.) (1=0) (2=1) (3=2) (4=3) (5=4) (6=5) (7=6), gen(pid6)
gen pid01= pid6/6
recode gender (1=0) (2=1), gen(female01)
recode faminc_new (97=.), gen(income15)
gen income01 = (income15-1 )/15
recode race (-7=.) (1=0) (2=1) (3=0) (4=0) (5=0) (6=0) (7=0), gen(black01)
recode race (-7=.) (1=0) (2=0) (3=1) (4=0) (5=0) (6=0) (7=0), gen(latino01)
recode race (-7=.) (1=0) (2=0) (3=0) (4=1) (5=1) (6=1) (7=1), gen(mixother01)
recode newsint (-7=.) (7=.) (4=0) (3=1) (2=2) (1=3), gen(interest01)
recode turnout18 (1=1) (2=1) (3=1) (4=0) (5=3), gen(turnout18jc)
replace turnout18jc=1 if turnout18jc==3 & turnout18ns==1
replace turnout18jc=0 if turnout18jc==3 & turnout18ns==2

*Table J1
eststo: quietly logit meet01      pid01 female01 income01 black01 latino01 mixother01 interest01 me2therm c.pid01#c.me2therm i.female01#c.me2therm [pweight= weight]
eststo: quietly logit givefut01   pid01 female01 income01 black01 latino01 mixother01 interest01 me2therm c.pid01#c.me2therm i.female01#c.me2therm [pweight= weight]
eststo: quietly logit march101    pid01 female01 income01 black01 latino01 mixother01 interest01 me2therm c.pid01#c.me2therm i.female01#c.me2therm [pweight= weight]
eststo: quietly logit march201    pid01 female01 income01 black01 latino01 mixother01 interest01 me2therm c.pid01#c.me2therm i.female01#c.me2therm [pweight= weight]
eststo: quietly logit online01    pid01 female01 income01 black01 latino01 mixother01 interest01 me2therm c.pid01#c.me2therm i.female01#c.me2therm [pweight= weight]
eststo: quietly logit persuade01  pid01 female01 income01 black01 latino01 mixother01 interest01 me2therm c.pid01#c.me2therm i.female01#c.me2therm [pweight= weight]
eststo: quietly logit sign01      pid01 female01 income01 black01 latino01 mixother01 interest01 me2therm c.pid01#c.me2therm i.female01#c.me2therm [pweight= weight]
eststo: quietly logit give01      pid01 female01 income01 black01 latino01 mixother01 interest01 me2therm c.pid01#c.me2therm i.female01#c.me2therm [pweight= weight]
eststo: quietly logit work01      pid01 female01 income01 black01 latino01 mixother01 interest01 me2therm c.pid01#c.me2therm i.female01#c.me2therm [pweight= weight]
eststo: quietly logit turnout18jc pid01 female01 income01 black01 latino01 mixother01 interest01 me2therm c.pid01#c.me2therm i.female01#c.me2therm [pweight= weight]
esttab , replace b(%10.3f) r2 ar2 pr2 se nogaps


